package danielcortes.xyz.models.estado_resultado;

import java.time.YearMonth;

public class EstadoResultado {
    public static final EstadoResultado emptyEstadoResultado;

    static {
        emptyEstadoResultado = new EstadoResultado();
        emptyEstadoResultado.costoVenta = 0;
        emptyEstadoResultado.cuentaCorrienteBoleta = 0;
        emptyEstadoResultado.cuentaCorrienteFactura = 0;
        emptyEstadoResultado.cuentaCorrienteSinRespaldo = 0;
        emptyEstadoResultado.remuneraciones = 0;
        emptyEstadoResultado.finiquitos = 0;
        emptyEstadoResultado.aguinaldo = 0;
        emptyEstadoResultado.bonosPersonal = 0;
        emptyEstadoResultado.honorariosContador = 0;
        emptyEstadoResultado.arriendo = 0;
        emptyEstadoResultado.agua = 0;
        emptyEstadoResultado.luz = 0;
        emptyEstadoResultado.gas = 0;
        emptyEstadoResultado.telefono = 0;
        emptyEstadoResultado.otroServicio = 0;
        emptyEstadoResultado.ppm = 0d;
        emptyEstadoResultado.ivaFavor = 0;
    }

    private int id;
    private YearMonth mes;
    private int costoVenta;
    private int cuentaCorrienteFactura;
    private int cuentaCorrienteBoleta;
    private int cuentaCorrienteSinRespaldo;
    private int remuneraciones;
    private int finiquitos;
    private int aguinaldo;
    private int bonosPersonal;
    private int honorariosContador;
    private int arriendo;
    private int agua;
    private int luz;
    private int gas;
    private int telefono;
    private int otroServicio;
    private double ppm;
    private int ivaFavor;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public YearMonth getMes() {
        return mes;
    }

    public void setMes(YearMonth mes) {
        this.mes = mes;
    }

    public int getCostoVenta() {
        return costoVenta;
    }

    public void setCostoVenta(int costoVenta) {
        this.costoVenta = costoVenta;
    }

    public int getCuentaCorrienteFactura() {
        return cuentaCorrienteFactura;
    }

    public void setCuentaCorrienteFactura(int cuentaCorrienteFactura) {
        this.cuentaCorrienteFactura = cuentaCorrienteFactura;
    }

    public int getCuentaCorrienteBoleta() {
        return cuentaCorrienteBoleta;
    }

    public void setCuentaCorrienteBoleta(int cuentaCorrienteBoleta) {
        this.cuentaCorrienteBoleta = cuentaCorrienteBoleta;
    }

    public int getCuentaCorrienteSinRespaldo() {
        return cuentaCorrienteSinRespaldo;
    }

    public void setCuentaCorrienteSinRespaldo(int cuentaCorrienteSinRespaldo) {
        this.cuentaCorrienteSinRespaldo = cuentaCorrienteSinRespaldo;
    }

    public int getRemuneraciones() {
        return remuneraciones;
    }

    public void setRemuneraciones(int remuneraciones) {
        this.remuneraciones = remuneraciones;
    }

    public int getFiniquitos() {
        return finiquitos;
    }

    public void setFiniquitos(int finiquitos) {
        this.finiquitos = finiquitos;
    }

    public int getAguinaldo() {
        return aguinaldo;
    }

    public void setAguinaldo(int aguinaldo) {
        this.aguinaldo = aguinaldo;
    }

    public int getBonosPersonal() {
        return bonosPersonal;
    }

    public void setBonosPersonal(int bonosPersonal) {
        this.bonosPersonal = bonosPersonal;
    }

    public int getHonorariosContador() {
        return honorariosContador;
    }

    public void setHonorariosContador(int honorariosContador) {
        this.honorariosContador = honorariosContador;
    }

    public int getArriendo() {
        return arriendo;
    }

    public void setArriendo(int arriendo) {
        this.arriendo = arriendo;
    }

    public int getAgua() {
        return agua;
    }

    public void setAgua(int agua) {
        this.agua = agua;
    }

    public int getLuz() {
        return luz;
    }

    public void setLuz(int luz) {
        this.luz = luz;
    }

    public int getGas() {
        return gas;
    }

    public void setGas(int gas) {
        this.gas = gas;
    }

    public int getTelefono() {
        return telefono;
    }

    public void setTelefono(int telefono) {
        this.telefono = telefono;
    }

    public int getOtroServicio() {
        return otroServicio;
    }

    public void setOtroServicio(int otroServicio) {
        this.otroServicio = otroServicio;
    }

    public double getPpm() {
        return ppm;
    }

    public void setPpm(double ppm) {
        this.ppm = ppm;
    }

    public void setIvaFavor(int ivaFavor) {
        this.ivaFavor = ivaFavor;
    }

    public int getIvaFavor() {
        return ivaFavor;
    }
}

